# class PartSelectEvent | This event is sent when a part is selected or deselected. More...
Full name | `KParts::PartSelectEvent`
Definition | `#include <event.h>`
Inherits | KParts::Event [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- PartSelectEvent ( bool selected, Part *part, QWidget *widget )
- bool selected () const
- Part * part () const
- QWidget * widget () const

#### Public Static Methods

- static bool test ( const QEvent *event )

## Detailed Description

This event is sent when a part is selected or deselected.

See also: setSelectionPolicy

PartSelectEvent ( bool selected, Part *part, QWidget *widget ) | ### PartSelectEvent

bool selected () | ### selected

[const]

Part * part () | ### part

[const]

QWidget * widget () | ### widget

[const]

bool test ( const QEvent *event ) | ### test

[static]

Reimplemented from Event.

Generated by: root@i386.ports.openbsd.org on Wed Apr 25 13:58:48 2001, using kdoc 2.0a53.